CREATE TABLE hts_global_setups_b (
    SETUP_PARAM_ID           NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    PARAMETER_CODE           VARCHAR2(320)     NOT NULL,
    VALUE_TYPE               VARCHAR2(120)     NOT NULL,
    VALUE_NUMBER             NUMBER        ,
    VALUE_TEXT               VARCHAR2(2000),
    VALUE_DATE               DATE          ,
    LIST_OF_VALUES_SRC       VARCHAR2(120) ,
    LIST_OF_VALUES_NAME      VARCHAR2(1000),
    PARAMETER_CATEGORY       VARCHAR2(120) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    MODULE_ID                VARCHAR2(128) ,
    SGUID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    SETUP_PARAM_ID           NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    PARAMETER_CODE           VARCHAR2(320)     NOT NULL,
    VALUE_TYPE               VARCHAR2(120)     NOT NULL,
    VALUE_NUMBER             NUMBER        ,
    VALUE_TEXT               VARCHAR2(2000),
    VALUE_DATE               DATE          ,
    LIST_OF_VALUES_SRC       VARCHAR2(120) ,
    LIST_OF_VALUES_NAME      VARCHAR2(1000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    MODULE_ID                VARCHAR2(128) ,
    SGUID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    PARAMETER_CATEGORY       VARCHAR2(120) ,
    CONSTRAINT pk_hts_global_setups_b PRIMARY KEY (SETUP_PARAM_ID, SETUP_PARAM_ID)
);
